From: <a href="/blend/av.cgi?id=1999">Tonya ogbin</a><BR>
Date: 8 January 2010<P>

What a wonderful place to express.
<HR>
From: <a href="/blend/av.cgi?id=1999">Tonya ogbin</a><BR>
Date: 8 January 2010<P>

What a wonderful place to express.
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 8 January 2010<P>

Jack, there are many people in our lives that we may know little of over the years. I've found that even ONE good memory is enough with these folks. My mom was a difficult mother, but she made a great friend...like Harem's mom. People tend to stew too much over relationships. I've found that making good friendships takes those problem relationships away. The first boyfriend that broke my heart is still a friend today. I learned good lessons that made later relationships far better due to that original angst. Our relationship with our parents often makes us far more loving parents. You might thank him for teaching you that in his own way. You might never have had the passion to write about romance without feeling the need to reach out. In other words, your father's emotional distance might have been a catalyst for you to express yourself ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=339">jack</a><BR>
Date: 8 January 2010<P>

thank you sweet lady, i have always found that there was only one person out there remotely like me..you know that feeling... in this one is my sister/brother..well that actually happened to have been my father.. far more like me than my actual sister or brothers.  probably why i cant find in myself forgiveness lol not yet anyways.  like i say i think it will be some years before i reconcile myself to his death and should i ever grant forgiveness then i will be much older and i hope far more wiser. but i do thank you for caring most sweet and gentle of ladies (she used to care fer marines so one has gots to be nice)<BR>
lol love ya Rennie 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 8 January 2010<P>

Hey Tonya, glad you like it,...it's a wonderful place for expression. Welcome to the blender of love!<BR>
<BR>
bk
<HR>